Summary: IP Firewalling Chains
Name: ipchains
Version: 1.3.8
%define scrver 1.1.2
Release: 1
Group: Utilities/System
Copyright: GPL
Url: http://www.rustcorp.com/linux/ipchains/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-%{scrver}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. It lets you do things like firewalls, IP masquerading, etc.


%prep
%setup -q -a 1


%build
COPTS=$RPM_OPT_FLAGS make
strip ipchains


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/sbin,usr/man/man{4,8}}
perl -pi -e 's| -o root -g root||' Makefile
make install \
	SBIN=$RPM_BUILD_ROOT/sbin \
	MANDIR=$RPM_BUILD_ROOT/usr/man
make -C ipchains-scripts-%{scrver} install \
	BINDIR=$RPM_BUILD_ROOT/usr/sbin \
	MANDIR=$RPM_BUILD_ROOT/usr/man/man8


%files
%defattr(-,root,root)
%doc COPYING HOWTO.txt README ipchains-refcard.letter.ps
/sbin/*
/usr/sbin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

